//
// Created by fedal on 29/12/20.
//

#ifndef JULIA_ANDROID_MAX6650ENUMS_H
#define JULIA_ANDROID_MAX6650ENUMS_H

typedef enum {
    MAX6650_REG_SPEED = 0x00,
    MAX6650_REG_CONFIG = 0x02,
    MAX6650_REG_GPIO_DEF = 0x04,
    MAX6650_REG_DAC = 0x06,
    MAX6650_REG_ALARM_EN = 0x08,
    MAX6650_REG_ALARM = 0x0A,
    MAX6650_REG_TACH0 = 0x0C,
    MAX6650_REG_TACH1 = 0x0E,
    MAX6650_REG_TACH2 = 0x10,
    MAX6650_REG_TACH3 = 0x12,
    MAX6650_REG_GPIO_STAT = 0x14,
    MAX6650_REG_COUNT = 0x16
} MAX6650_Registers_e;

typedef enum {
    MAX6650_CFG_V12 = 0x08,
    MAX6650_CFG_PRESCALER_MASK = 0x07,
    MAX6650_CFG_PRESCALER_2 = 0x01,
    MAX6650_CFG_PRESCALER_4 = 0x02,
    MAX6650_CFG_PRESCALER_8 = 0x03,
    MAX6650_CFG_PRESCALER_16 = 0x04,
    MAX6650_CFG_MODE_MASK = 0x30,
    MAX6650_CFG_MODE_ON = 0x00,
    MAX6650_CFG_MODE_OFF = 0x10,
    MAX6650_CFG_MODE_CLOSED_LOOP = 0x20,
    MAX6650_CFG_MODE_OPEN_LOOP = 0x30,
    MAX6650_COUNT_MASK = 0x03,
    MAX6650_CFG_DEFAULT = 0x0A
} MAX6650_Config_Register_e;

typedef enum{
    MAX6550_MAX_DAC_VALUE_12V = 180
}MAX6650_Constants_e;
/*
 * MAX 6650/6651 registers
 *//*

#define MAX6650_REG_SPEED    0x00
#define MAX6650_REG_CONFIG    0x02
#define MAX6650_REG_GPIO_DEF    0x04
#define MAX6650_REG_DAC        0x06
#define MAX6650_REG_ALARM_EN    0x08
#define MAX6650_REG_ALARM    0x0A
#define MAX6650_REG_TACH0    0x0C
#define MAX6650_REG_TACH1    0x0E
#define MAX6650_REG_TACH2    0x10
#define MAX6650_REG_TACH3    0x12
#define MAX6650_REG_GPIO_STAT    0x14
#define MAX6650_REG_COUNT    0x16

*//*
 * Config register bits
 *//*

#define MAX6650_CFG_V12            0x08
#define MAX6650_CFG_PRESCALER_MASK    0x07
#define MAX6650_CFG_PRESCALER_2        0x01
#define MAX6650_CFG_PRESCALER_4        0x02
#define MAX6650_CFG_PRESCALER_8        0x03
#define MAX6650_CFG_PRESCALER_16    0x04
#define MAX6650_CFG_MODE_MASK        0x30
#define MAX6650_CFG_MODE_ON        0x00
#define MAX6650_CFG_MODE_OFF        0x10
#define MAX6650_CFG_MODE_CLOSED_LOOP    0x20
#define MAX6650_CFG_MODE_OPEN_LOOP    0x30
#define MAX6650_COUNT_MASK        0x03

*//*
 * Alarm status register bits
 *//*

#define MAX6650_ALRM_MAX    0x01
#define MAX6650_ALRM_MIN    0x02
#define MAX6650_ALRM_TACH    0x04
#define MAX6650_ALRM_GPIO1    0x08
#define MAX6650_ALRM_GPIO2    0x10

*//* Minimum and maximum values of the FAN-RPM *//*
#define FAN_RPM_MIN 240
#define FAN_RPM_MAX 30000*/
#endif //JULIA_ANDROID_MAX6650ENUMS_H
